Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractElement.ElementTypeInfo

    java.lang.Object
      org.apache.batik.dom.AbstractElement.ElementTypeInfo

All Implemented Interfaces:
  TypeInfo

Enclosing class:
  AbstractElement

    public class AbstractElement.ElementTypeInfo

extends Object
implements TypeInfo

Inner class to hold type information about this element.

Field Summary

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`AbstractElement.ElementTypeInfo()`

Method Summary
`String` | `getTypeName()` Type name.
`String` | `getTypeNamespace()` Type namespace.
`boolean` | `isDerivedFrom(String ns, String name, int method)` Returns whether this type derives from the given type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractElement.ElementTypeInfo

    public AbstractElement.ElementTypeInfo()

Method Detail

### getTypeNamespace

    public String getTypeNamespace()

  Type namespace.

  Specified by:
    `getTypeNamespace` in interface `TypeInfo`

### getTypeName

    public String getTypeName()

  Type name.

  Specified by:
    `getTypeName` in interface `TypeInfo`

### isDerivedFrom

    public boolean isDerivedFrom(String ns,
                                 String name,
                                 int method)

  Returns whether this type derives from the given type.

  Specified by:
    `isDerivedFrom` in interface `TypeInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.